#include <iostream>
#include <cmath>
using namespace std;
void kvadrat(int x1,int y1,int x2,int y2,int &r)
{
    if(abs(x2-x1)==abs(y2-y1))
       r=1;
    else if(y2==y1 && x2!=x1)
       r=2;
    else if(x2==x1 && y2!=y1)
       r=2;   
}
int main()
{
    int x1,y1,x2,y2,r=0;
    cin>>x1>>y1>>x2>>y2;
    kvadrat(x1,y1,x2,y2,r);
    cout<<r;

    return 0;
}